games/dhewm3 - The NetBSD Packages Collection

Source port of the original Doom 3

dhewm 3 is a Doom 3 GPL source port. The goal of dhewm 3 is bring DOOM 3
with the help of SDL to all suitable platforms.

Compared to the original version of Doom 3, dhewm3 has many bugfixes, supports
EAX-like sound effects on all operating systems and hardware (via OpenAL
Softs EFX support), has much better support for widescreen resolutions and
has 64-bit support.

Note that while the Doom 3 source code has been released under GPL, you
still need to legally own the game and provide dhewm3 the game data to play.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/cmake devel/pkgconf

Runtime dependencies

audio/libvorbis audio/openal-soft devel/SDL2 sysutils/desktop-file-utils www/curl graphics/jpeg audio/libvorbis devel/SDL2 sysutils/desktop-file-utils www/curl graphics/jpeg

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfdhewm3-1.5.0nb6.tgz
NetBSD 8.0earmv7hfdhewm3-1.5.1.tgz
NetBSD 8.0i386dhewm3-1.5.0nb6.tgz
NetBSD 8.0i386dhewm3-1.5.0nb6.tgz
NetBSD 8.0i386dhewm3-1.5.1.tgz
NetBSD 8.0powerpcdhewm3-1.5.0nb6.tgz
NetBSD 8.0powerpcdhewm3-1.5.1.tgz
NetBSD 8.0powerpcdhewm3-1.5.0nb6.tgz
NetBSD 8.0powerpcdhewm3-1.5.1.tgz
NetBSD 8.0x86_64dhewm3-1.5.1.tgz
NetBSD 8.0x86_64dhewm3-1.5.0nb6.tgz
NetBSD 8.0x86_64dhewm3-1.5.0nb6.tgz
NetBSD 9.0aarch64dhewm3-1.5.1.tgz
NetBSD 9.0aarch64dhewm3-1.5.0nb6.tgz
NetBSD 9.0aarch64dhewm3-1.5.0nb6.tgz
NetBSD 9.0alphadhewm3-1.5.1.tgz
NetBSD 9.0alphadhewm3-1.5.0nb6.tgz
NetBSD 9.0alphadhewm3-1.5.0nb6.tgz
NetBSD 9.0earmv6hfdhewm3-1.5.1.tgz
NetBSD 9.0earmv6hfdhewm3-1.5.0nb6.tgz
NetBSD 9.0earmv6hfdhewm3-1.5.0nb6.tgz
NetBSD 9.0earmv6hfdhewm3-1.5.0nb6.tgz
NetBSD 9.0earmv7hfdhewm3-1.5.1.tgz
NetBSD 9.0earmv7hfdhewm3-1.5.0nb6.tgz
NetBSD 9.0earmv7hfdhewm3-1.5.0nb6.tgz
NetBSD 9.0earmv7hfdhewm3-1.5.0nb6.tgz
NetBSD 9.0earmv7hfdhewm3-1.5.1.tgz
NetBSD 9.0i386dhewm3-1.5.0nb6.tgz
NetBSD 9.0i386dhewm3-1.5.0nb6.tgz
NetBSD 9.0i386dhewm3-1.5.1.tgz
NetBSD 9.0mips64ebdhewm3-1.5.0nb6.tgz
NetBSD 9.0mips64ebdhewm3-1.5.0nb6.tgz
NetBSD 9.0powerpcdhewm3-1.5.0nb6.tgz
NetBSD 9.0powerpcdhewm3-1.5.0nb6.tgz
NetBSD 9.0powerpcdhewm3-1.5.1.tgz
NetBSD 9.0powerpcdhewm3-1.5.1.tgz
NetBSD 9.0sparc64dhewm3-1.5.1.tgz
NetBSD 9.0sparc64dhewm3-1.5.0nb6.tgz
NetBSD 9.0sparc64dhewm3-1.5.0nb6.tgz
NetBSD 9.0sparcdhewm3-1.5.1.tgz
NetBSD 9.0sparcdhewm3-1.5.0nb6.tgz
NetBSD 9.0x86_64dhewm3-1.5.0nb6.tgz
NetBSD 9.0x86_64dhewm3-1.5.0nb6.tgz
NetBSD 9.0x86_64dhewm3-1.5.0nb6.tgz
NetBSD 9.0x86_64dhewm3-1.5.1.tgz
NetBSD 9.0x86_64dhewm3-1.5.0nb6.tgz
NetBSD 9.0x86_64dhewm3-1.5.0nb6.tgz
NetBSD 9.0x86_64dhewm3-1.5.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.